cutlass::transform::PitchLinear2DThreadTileStripminedThreadMap< Shape_, Threads, ThreadTileShape > Struct Template Reference

`#include <pitch_linear_thread_map.h>`

## Detailed Description

### template<typename Shape_, int Threads, typename ThreadTileShape>
struct cutlass::transform::PitchLinear2DThreadTileStripminedThreadMap< Shape_, Threads, ThreadTileShape >

Strip-mines a pitch-linear tile among a given number of threads, first along the contiguous dimension then along the strided dimension, while each thread access a 2D thread-tile.

The tile must be divisible by the thread count such that all threads may execute the same number of iterations with the same delta to exhaustively cover the tile.

This class satisfies the "RegularThreadMapping" concept.

The documentation for this struct was generated from the following file:

- pitch_linear_thread_map.h